diff options
author | Aaron Griffin <aaronmgriffin@gmail.com> | 2009-02-04 22:14:47 +0100 |
---|---|---|
committer | Aaron Griffin <aaronmgriffin@gmail.com> | 2009-02-04 22:14:47 +0100 |
commit | b22c5538ee8840e7f5f6082f7a337ce43e49ac3b (patch) | |
tree | b81a391bd031f94b7e435f8db2a5a24c33396558 | |
parent | d9df504ddd648171eeff73d63afe196e153459a2 (diff) | |
download | dbscripts-b22c5538ee8840e7f5f6082f7a337ce43e49ac3b.tar.gz dbscripts-b22c5538ee8840e7f5f6082f7a337ce43e49ac3b.tar.xz |
Clean up output, remove 'trunk build'
Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
-rwxr-xr-x | misc-scripts/make-sourceball | 26 |
1 files changed, 5 insertions, 21 deletions
diff --git a/misc-scripts/make-sourceball b/misc-scripts/make-sourceball index 91dc122..8237176 100755 --- a/misc-scripts/make-sourceball +++ b/misc-scripts/make-sourceball @@ -33,7 +33,7 @@ ctrl_c() { } die() { - echo "$*" >&2 + echo -e "$*" >&2 cleanup 1 } @@ -58,8 +58,7 @@ create_srcpackage() { pushd "$1" >/dev/null . "$BUILDSCRIPT" if ! chk_license ${license[@]}; then - echo "Package license does not require source tarballs. Doing nothing" - echo " license => (${license[@]})" + echo -e "\tPackage license (${license[@]}) does not require source tarballs. Doing nothing" cleanup 0 fi @@ -71,7 +70,6 @@ create_srcpackage() { local pkg_file="${pkgname}-${pkgver}-${pkgrel}${SRCEXT}" - echo ":: Source package complete: $pkg_file" if [ ! -d "$srcpath" ]; then mkdir -p "$srcpath" fi @@ -103,25 +101,11 @@ if /usr/bin/svn export -q "$SVN_PATH/$packagename/repos/$reponame-$arch" $packag exit 0 elif [ $? -eq 1 ]; then #trunk sometimes has updated URLs - echo ":: Failed to download source, attempting trunk build" - rm -rf "$packagename" - if /usr/bin/svn export -q "$SVN_PATH/$packagename/trunk" "$packagename"; then - create_srcpackage "$packagename" - if [ $? -eq 0 ]; then - echo ":: Source package complete: $pkg_file" - exit 0 - elif [ $? -eq 1 ]; then - die ":: Failed to download source" - elif [ $? -eq 2 ]; then - die ":: Failed to compress package" - else - die ":: Unknown failure reason" - fi - fi + die "\tFailed to download source" exit 1 elif [ $? -eq 2 ]; then - die ":: Failed to compress package" + die "\tFailed to compress package" fi else - die "Package '$packagename' does not exist in repo $reponame-$arch" + die "\tPackage does not exist in repo" fi |